
Redmine - Feature #5791

Set latest journal(log) id when an issue updated (in a issues table)

2010-07-01 07:17 - Akiko Takano

Status: Closed Start date: 2010-07-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Our staff want to know who made last updating for the issue on issue listing page.

Though issue list has lastupdate record, but does not have the name of last update user.

First I tried to handle our staff's request, like this.

# find laslatest journal by issue id

def lastupdate_user(id)

    lastJournal = Journal.find(:last, :conditions =>

　　　　　　 ["journalized_id= ?", id], :order => :created_on,

　　　　　　　:include => :user)

    if lastJournal != nil

        return lastJournal.user

    end

end

 But above is quite poor, and I'm afraid that this may cause some performance issues.

If allowed, please add the column to issue table, and set the latest log (journal) id of the issue iself when updating.

Related issues:

Is duplicate of Redmine - Feature #6375: Last updated by colum in issue list Closed 2010-09-12

History

#1 - 2017-07-14 04:52 - Go MAEDA

- Is duplicate of Feature #6375: Last updated by colum in issue list added

#2 - 2017-07-14 04:54 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

This feature was implemented in Redmine 3.4.0 (#6375).

#3 - 2017-07-14 04:54 - Go MAEDA

- Category set to Issues list

#4 - 2017-08-04 19:27 - Toshi MARUYAMA

- Description updated
